/*
 *
 *  NExS Connection Library V2.0
 *  Copyright 1990, 1991, X Engineering Software Systems Corporation
 *  Copyright 1999, GreyTrout Software, Inc.
 *  All rights reserved
 *
 *  file: sender.c
 *
 * $Id: sender.c,v 1.2 91/08/13 18:48:53 tkm Exp $
 *
 */


#include	<stdio.h>
#include	<ctype.h>
#include	"nexs.h"

/*
  This program sends messages typed by the user to the connection named
  "Receiver" which echos the message in upper case.
*/

void close_notify_fn(port)
int port;
    {
    printf("Port %d closed, exiting...\n", port);
    exit(0);
    }

int main(argc, argv)
int argc;
char *argv[];
    {
    int port, status_list[MAX_PORTS+1], p;
    char name_list[MAX_PORTS+1][11], buf[200];

    nexs_set_close_notify(close_notify_fn);
    port = nexs_open_connection("Sender", 10);
    if (port == 0)
	{
	printf("could not connect to NExS after 10 seconds...\n");
	exit(0);
	}
    nexs_inquire_connections(port, status_list, name_list);
    for (p=1; p<=MAX_PORTS; p++)
	if (status_list[p] && !strcmp(name_list[p], "Receiver")) break;
    if (p == MAX_PORTS+1)
	{
	printf("\"Receiver\" is not connected.\n");
	exit(0);
	}
    while (1)
	{
	printf("Message> ");
	fgets(buf, sizeof(buf), stdin);
	if (!(nexs_send_message(port, p, buf)))
	    {
	    printf("Unable to send message\n");
	    exit(0);
	    }
	nexs_message_wait(port, p, buf);
	buf[15] = '\0';	/* message is only 15 bytes; insure termination */
	printf("Reply: \"%s\"\n", buf);
	}
    }
