/*
 *
 *  NExS Connection Library V2.0
 *  Copyright 1990, 1991, X Engineering Software Systems Corporation
 *  Copyright 1999, GreyTrout Software, Inc.
 *  All rights reserved
 *
 *  file: test11.c
 *
 * $Id: test11.c,v 1.2 91/08/14 17:24:34 tkm Exp $
 *
 */


#include	<stdio.h>
#include <unistd.h>
#include	"nexs.h"

#define		SAVE_INTERVAL	5*60	/* seconds between auto-saves */

void close_notify_fn(port)
    {
    printf("AutoSave exiting...\n");
    exit(0);
    }

int main(argc, argv)
	int argc;
	char *argv[];
    {
    int portID, count = 0;
    char name[80];
    nexs_set_close_notify(close_notify_fn);
    portID = nexs_open_connection("AutoSave", 10);
    if (portID == 0)
	{
	printf("could not connect to NExS after 10 seconds...\n");
	exit(0);
	}
    while (1)
	{
	sleep(SAVE_INTERVAL);
	sprintf(name, "autosave%d.xs3", ++count);
	if (!nexs_write_file(portID, name))
	    printf("Could not write %s\n", name);
	}
	 return 0;
    }
