static char rcsid[] = "$Id: nexsDisplayGraph.c,v 1.1 1998/03/23 02:58:36 tkm Exp $";

/*------------------------------------------------------------*
|                                                             |
| Interface for NExS  gtaph API     .                         |
| Author:	Damir Delija                                  |
|               University Computing Center, SRCE             |
| Date:         Wed Mar 12 1997                               |
|               Copyright (c) 1997,  Damir Delija             |
|                                                             |
*--------------------Procedure Description--------------------*
| nexs_new_graph.c D. Delija 12/03/97                         |
|                                                             |
| int nexs_display_graph(int port, int gid);                  |
|                                                             |
| Causes the graph specified by "gid" to be displayed.        |
| Returns 1 if successful, 0 otherwise.                       |
|                                                             |
*----------------Modification Audit/Change Log----------------*
| Rev  Sar                                                    |
| No   Code  Date      Rellvl  Mod  Description               |
| --   ----- --------  ------  ---  --------------------------|
|                                                             |
*-------------------------------------------------------------*/

/*
 * $Log: nexsDisplayGraph.c,v $
 * Revision 1.1  1998/03/23 02:58:36  tkm
 * Initial revision
 *
 */


#include "tclNExSInt.h"
int NExSConnObj_display_graph_cmd(
        void *clientData,
        Tcl_Interp *interp,
        int argc,
        char **argv)
{

NExSConnection * conn = (NExSConnection *) clientData;
int gid=0;

	if (argc < 2 ) { 
		 Tcl_AppendResult( interp,
                "wrong # args:  ", argv[0],
                (char*) NULL);
                return (TCL_ERROR);
	}

	Tcl_GetInt(interp, argv[1],&gid);


	if (nexs_display_graph( conn->port, gid) ) {
		return TCL_OK;
	}  
	return TCL_ERROR;



}


