static char copyright []
= "$Id: nexsEventFilter.c,v 1.1 1995/11/23 20:27:58 tkm Exp $\n\
   Copyright (c) 1992 General Electric.  All rights reserved.";

/*
 *   Permission to use, copy, modify, and distribute this
 *   software and its documentation for any purpose and without
 *   fee is hereby granted, provided that the above copyright
 *   notice appear in all copies and that both that copyright
 *   notice and this permission notice appear in supporting
 *   documentation, and that the name of General Electric not be used in
 *   advertising or publicity pertaining to distribution of the
 *   software without specific, written prior permission.
 *   General Electric makes no representations about the suitability of
 *   this software for any purpose.  It is provided "as is"
 *   without express or implied warranty.
 *
 *   This work was supported by the DARPA Initiative in Concurrent
 *   Engineering (DICE) through DARPA Contract MDA972-88-C-0047.
 *
 * $Log: nexsEventFilter.c,v $
 * Revision 1.1  1995/11/23 20:27:58  tkm
 * Initial revision
 *
 * Revision 1.1  1994/08/26  13:55:00  johnsonm
 * Initial revision
 *
 *
 *
 * nexsEventFilter.c --
 *
 *	This file contains a Tk `generic event handler' that accepts an
 * X event being processed by Tk_HandleEvent, and passes it to the NExS 
 * Connection Library to see if it is interesting.
 */

#include <tcl.h>
#include <tk.h>
#include "tclNExSInt.h"

/*
 * nexsEventFilter --
 *
 *	Filter X events for the NEXS connection library
 *
 */

Bool
NExSEventFilter (clientData, event)
     ClientData clientData;
     XEvent * event;
{
  return nexs_message_handler (event);
}
