static char rcsid[] = "$Id: nexsNewGraph.c,v 1.1 1998/03/23 02:58:36 tkm Exp $";

/*------------------------------------------------------------*
|                                                             |
| Interface for NExS  gtaph API     .                         |
| Author:	Damir Delija                                  |
|               University Computing Center, SRCE             |
| Date:         Wed Mar 12 1997                               |
|               Copyright (c) 1997,  Damir Delija             |
|                                                             |
*--------------------Procedure Description--------------------*
| nexs_new_graph.c D. Delija 12/03/97                         |
|                                                             |
| int nexs_new_graph(int port, int *new_gid);                 |
|                                                             |
| Creates a new graph. The gid for the graph is returned in   |
| "new_gid". The newly created graph is empty, and it's name  |
| is set to "Untitled". The function return value is   1 if   |
| successful, 0 otherwise.                                    |
|                                                             |
*----------------Modification Audit/Change Log----------------*
| Rev  Sar                                                    |
| No   Code  Date      Rellvl  Mod  Description               |
| --   ----- --------  ------  ---  --------------------------|
|                                                             |
*-------------------------------------------------------------*/

/*
 * $Log: nexsNewGraph.c,v $
 * Revision 1.1  1998/03/23 02:58:36  tkm
 * Initial revision
 *
 */


#include "tclNExSInt.h"
int NExSConnObj_new_graph_cmd(
        void *clientData,
        Tcl_Interp *interp,
        int argc,
        char **argv)
{

NExSConnection * conn = (NExSConnection *) NULL;
int new_gid=0;

        conn = (NExSConnection *) clientData;

	if (nexs_new_graph( conn->port, &new_gid) ) {
		sprintf ( interp->result, "%d",new_gid );
		return TCL_OK;
	}  
	return TCL_ERROR;



}


